Fetch Groups Topology Other Members

Fetch Groups Topology Other Members
List groups inside the "Other" node

Returns a paginated list of groups that were collapsed into the "Other" node in a prior POST /visualization/topology/groups-flow-topology response. Use this endpoint to reveal the hidden groups when the topology exceeds the entity_limit threshold.

Notes:

  • topology_token is required. Obtain it from the POST /visualization/topology/groups-flow-topology response that produced the "Other" node.
  • topology_token expires after 1 hour. Only the 10 most recent topology results are stored; an expired or unknown token returns an error.
  • Set connected_group_id to filter results to only "Other" groups that communicate with a specific visible group.
  • start_time is required. Either site_id or site_ids must also be provided.
  • filters accepts up to 300 filter entries.
  • Use the group-id of any returned group to drill into POST /visualization/flow-analysis/groups/{group-id}/flow-details or POST /visualization/security-analysis/groups/{group-id}/related-dfw-rules.
  • Each group-id is the NSX realization UUID of the group.
Request
URI
POST
https://{api_host}/intelligence/visualization/topology/groups-flow-topology/other-members
COPY
Request Body

Wrapper request for GroupsTopologyOtherMembers with restricted filter keys

VizGroupsTopologyOtherMembersRequest of type(s) application/json
Required  
This request body class requires all of the following: VizTimeIntervalSortableListSiteRequest , InlineVizGroupsTopologyOtherMembersRequest1
{
    "topology_token": "0ecb631e-ceba-44fb-9569-1e07bbd875a6",
    "start_time": 0,
    "site_id": "17f7c7e5-7f8c-490a-97e9-b9c9193c45e1",
    "page_size": 50,
    "offset": 0,
    "filters": []
}
Authentication
This operation uses the following authentication methods.
Responses
200

List of group entities.

Returns VizGroupsTopologyOtherMembersResult of type(s) application/json
This response body class contains all of the following: VizTimeIntervalListResult , InlineVizGroupsTopologyOtherMembersResult1
{
    "offset": 0,
    "number_of_results": 50,
    "total_result_count": 44418,
    "time_interval": {
        "start_time": 0,
        "end_time": 1782176646099
    },
    "segmentation_type_breakdown": [
        {
            "type": "OTHER",
            "count": 2
        },
        {
            "type": "APPLICATION",
            "count": 2452
        },
        {
            "type": "TIER",
            "count": 2452
        }
    ],
    "group_count": 39512,
    "results": [
        {
            "entity_type": "GROUP",
            "id": "542a652a-f0e2-410f-a740-8efa51d95f48",
            "reference_id": "/infra/domains/default/groups/Group-450f3b1d-8fc9-4804-ac73-faece34f8fab-8e2d8cb0-e91d-4576-8d1d-2ac2b7846066",
            "name": "Group-3 (REC 260617 06:39:00 allmyvms)",
            "config_events": [
                {
                    "event_type": "ADDED",
                    "event_time": 1781702259950
                },
                {
                    "event_type": "DELETED",
                    "event_time": 0
                }
            ],
            "highlight": false,
            "members": [],
            "compute_count": 2,
            "ip_addresses_only": false,
            "pinned": false
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/topology/groups-flow-topology/other-members